<p>A good introductory text for common devstack commands is <span style="background-color: #fff5e5;"><a href="https://opencraft.com/blog/open-edx-devstack-a-toolkit-for-the-future-of-learning-software/">available on our blog here</a>❗</span>.</p>
<p>Please also read the <a href="https://private.doc.opencraft.com/tips_and_tricks/#tips-tricks-for-opencraft-developers">tips and tricks gathered from our team members on working with Open edX devstacks</a>.</p>
  <p>We also maintain a <a href="https://forum.opencraft.com/t/devstack-tips-and-tricks-general-discussion/">forum post with other issues we found and how to fix them</a>. Search this post for issues you may encounter, and feel free to contribute if you come up with any solutions too.</p>
<p>Also, if you are stuck in any step while setting up the devstack, ping the <a href="https://chat.opencraft.com/opencraft/channels/devstack">#Devstack channel</a> on <a href="https://handbook.opencraft.com/en/latest/glossary/#mattermost">Mattermost</a>.</p>
